//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.ComponentModel;
using System.Drawing;


namespace MindFusion.Reporting.WinForms.Samples.CS.ListBinding
{
	partial class ListBoundReport : Report
	{
		public ListBoundReport()
		{
			InitializeComponent();

			movieDataBindingSource.DataSource = new MovieData();
		}

		private void canvas1_RenderContents(object sender, DrawCanvasEventArgs e)
		{
			Canvas canvas = sender as Canvas;
			float rating = System.Convert.ToSingle(e.DataValue);
			string contents = string.Format("Rating: {0}", rating);

			RectangleF textBounds = e.Bounds;
			textBounds.Height /= 2;
			using (StringFormat format = new StringFormat())
			{
				format.Alignment = StringAlignment.Center;
				format.LineAlignment = StringAlignment.Center;
				using (var font = new Font(FontName, FontSize, FontStyle))
					e.Graphics.DrawString(contents, font, Brushes.Black, textBounds, format);
			}

			RectangleF starBounds = e.Bounds;
			starBounds.Height /= 2;
			starBounds.Y += starBounds.Height;
			Image star = Properties.Resources.Star;
			Image starDisabled = Properties.Resources.StarDisabled;
			Image starMid = Properties.Resources.StarMid;
			float size = 9;

			PointF point = new PointF(starBounds.Left + starBounds.Width / 2 - size * 5 / 2,
				starBounds.Top + starBounds.Height / 2 - size / 2);
			for (int i = 1; i <= 5; i++)
			{
				Image thisStar = rating < i * 2 ? (i * 2 - 1 < rating ? starMid : starDisabled) : star;
				RectangleF imageBounds = new RectangleF(point.X, point.Y, size, size);
				e.Graphics.DrawImage(thisStar, imageBounds);
				point.X += size;
			}
		}
	}
}
