//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using MindFusion.Reporting.Export;


namespace MindFusion.Reporting.WinForms.Samples.CS.ListBinding
{
	public partial class MainForm : Form
	{
		public MainForm()
		{
			InitializeComponent();

			var report = new ListBoundReport();
			reportViewer.Report = report;
		}

		private void previewToolStripMenuItem_Click(object sender, EventArgs e)
		{
			var printer = new ReportPrinter();
			printer.Report = reportViewer.Report;

			var options = new PreviewOptions();
			options.TitleBarIcon = this.Icon;

			var preview = new PrintPreviewForm();
			preview.Text = "Catalog Report (Preview)";
			preview.Document = printer;
			preview.ShowDialog();
		}

		private void exitToolStripMenuItem_Click(object sender, EventArgs e)
		{
			this.Close();
		}

		private void imageToolStripMenuItem_Click(object sender, EventArgs e)
		{
			SaveFileDialog dialog = new SaveFileDialog();
			dialog.Filter = "Image Files (*.png)|*.png|All Files (*.*)|*.*||";
			if (dialog.ShowDialog(this) == DialogResult.OK)
			{
				ImageExporter exporter = new ImageExporter();
				exporter.PageSize = new SizeF(612, 792);
				exporter.Margins = new Margins(36);
				exporter.Export(reportViewer.Report, dialog.FileName);
			}
		}

		private void htmlToolStripMenuItem_Click(object sender, EventArgs e)
		{
			SaveFileDialog dialog = new SaveFileDialog();
			dialog.Filter = "HTML Files (*.html)|*.html|All Files (*.*)|*.*||";
			if (dialog.ShowDialog(this) == DialogResult.OK)
			{
				HtmlExporter exporter = new HtmlExporter();
				exporter.PageSize = new SizeF(612, 792);
				exporter.Margins = new Margins(36);
				exporter.Export(reportViewer.Report, dialog.FileName);
			}
		}

		private void pdfToolStripMenuItem_Click(object sender, EventArgs e)
		{
			SaveFileDialog dialog = new SaveFileDialog();
			dialog.Filter = "PDF Files (*.pdf)|*.pdf|All Files (*.*)|*.*||";
			if (dialog.ShowDialog(this) == DialogResult.OK)
			{
				PdfExporter exporter = new PdfExporter();
				exporter.PageSize = new SizeF(612, 792);
				exporter.Margins = new Margins(36);
				exporter.Export(reportViewer.Report, dialog.FileName);
			}
		}

		private void excelToolStripMenuItem_Click(object sender, EventArgs e)
		{
			SaveFileDialog dialog = new SaveFileDialog();
			dialog.Filter = "Excel Files (*.xlsx)|*.xlsx|All Files (*.*)|*.*||";
			if (dialog.ShowDialog(this) == DialogResult.OK)
			{
				ExcelExporter exporter = new ExcelExporter();
				exporter.PageSize = new SizeF(612, 792);
				exporter.Margins = new Margins(36);
				exporter.Export(reportViewer.Report, dialog.FileName);
			}
		}
	}
}